Commit 64a23603 authored by Benjamin "Ziirish" SANS's avatar Benjamin "Ziirish" SANS
Browse files

python3 compatibility

parent 0335a990
......@@ -12,6 +12,8 @@ Current
- Add: `customizable reports <https://git.ziirish.me/ziirish/burp-ui/issues/187>`_
- Add: persistent storage for user preferences if SQL storage enabled
- Add: rate-limiting of the API
- Add: new ``diag`` and ``sysinfo`` commands to help you diagnose issues
- Improvement: the SQL storage will detect out-of-sync schemas and disable itself if needed (with a log message)
- Improvement: speedup the calendar view
- Improvement: more complete user panel (`#185 <https://git.ziirish.me/ziirish/burp-ui/issues/185>`_, `#184 <https://git.ziirish.me/ziirish/burp-ui/issues/184>`_, `#182 <https://git.ziirish.me/ziirish/burp-ui/issues/182>`_, `#132 <https://git.ziirish.me/ziirish/burp-ui/issues/132>`_)
- Fix: issue `#186 <https://git.ziirish.me/ziirish/burp-ui/issues/186>`_
......
......@@ -16,7 +16,7 @@ import warnings
from logging import Formatter
from ._compat import PY3
from ._compat import PY3, to_unicode
from .desc import __url__, __doc__, __version__, __release__
if PY3: # pragma: no cover
......@@ -129,7 +129,7 @@ def create_db(myapp, cli=False, unittest=False, create=True):
)
current = None
for row in res:
current = row['version_num']
current = to_unicode(row['version_num'])
break
# get current head using alembic/FLask-Migrate
......@@ -161,7 +161,7 @@ def create_db(myapp, cli=False, unittest=False, create=True):
'database:\n{}'.format(out)
)
latest = out.split()[0]
latest = to_unicode(out).split()[0]
# now we compare the revision numbers
if latest != current:
......@@ -180,7 +180,7 @@ def create_db(myapp, cli=False, unittest=False, create=True):
err = str(exp)
if 'no such table' in err:
myapp.logger.critical(
'Your database seem out of sync, you may want '
'Your database seems out of sync, you may want '
'to run \'bui-manage db upgrade\'.'
)
else:
......
......@@ -20,6 +20,9 @@ v0.5.0
order to apply these modifications, you **MUST** run the
``bui-manage db upgrade`` command before restarting your `Burp-UI`_
application (if you are using celery, you must restart it too).
- **New** - The `bui-manage <manage.html>`__ tool brings two new commands:
- ``diag`` whose documentation is available `here <manage.html#diag>`__
- ``sysinfo`` whose documentation is available `here <manage.html#sysinfo>`__
More details on the `Manage <manage.html>`__ and `Celery <celery.html>`__
pages.
......@@ -49,7 +52,7 @@ v0.4.0
burp-ui configuration anymore with ``login = password`` but you should now use
the `bui-manage <manage.html>`__ command instead.
- **Breaking** - The default *version* setting has been set to ``2`` instead of
``1`` since burp-2.0.52 is now the stable release.
``1`` since burp-2.0.54 is now the stable release.
- **New** - The ``bui-manage`` tool can now help you setup both `Burp`_ and
`Burp-UI`_.
- **New** - The SQL requirements have evolved, you **MUST** run
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment